Name:           ocaml-creal
Version:        0.7
Release:        %mkrel 10
Summary:        Exact real arithmetic for OCaml
URL:            http://www.lri.fr/~filliatr/creal.en.html
Source0:        http://www.lri.fr/~filliatr/ftp/ocaml/ds/creal-%{version}.tar.gz
Source1:        ocaml-creal-META
License:        LGPL 2
Group:          Development/OCaml
BuildRequires:  ocaml
BuildRequires:  gmp-devel

%description
Creal is an exact real arithmetic library for Objective Caml.   
This module implements exact real arithmetic, following Valrie
Mnissier-Morain Ph.D. thesis (http://www-calfor.lip6.fr/~vmm/).
A real x is represented as a function giving, for any n, an
approximation zn/4^n of x such that |zn/4^n - x| < 1, where zn is an
arbitrary precision integer (of type Gmp.Z.t).
Coercions from type int, Gmp.Z.t, Gmp.Q.t, basic operations (addition,
subtraction, multiplication, division, power, square root) and
transcendental functions (sin, cos, tan, log, exp, arcsin, arccos,
etc.) and a few constants (pi, e) are provided.
A small reverse-polish calculator is provided to test the library.
Written by Jean-Christophe Fillitre.

%package devel
Summary:        Exact real arithmetic for Objective Caml
Group:          Development/OCaml
Requires:       gmp-devel
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n creal-%{version}
chmod 644 README CHANGES *.mli mlgmp/*.mli
perl -pi -e 's/\015$//' README
cp %{SOURCE1} META
sed -i -e 's:@VERSION@:%{version}:g' META

%build
./configure --prefix=%{buildroot}/usr
make

%install
%define destdir %{buildroot}%{_libdir}/ocaml/creal
install -d %{destdir}
make install LIBDIR=%{destdir}
cp META dllcreal.so %{destdir}

%files
%doc README CHANGES
%dir %{_libdir}/ocaml/creal
%{_libdir}/ocaml/creal/META
%{_libdir}/ocaml/creal/*.cmi
%{_libdir}/ocaml/creal/*.cma
%{_libdir}/ocaml/creal/*.so*
%{_bindir}/ecalc

%files devel
%{_libdir}/ocaml/creal/*.a
%{_libdir}/ocaml/creal/*.cmxa
%{_libdir}/ocaml/creal/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.7-10.mga6
+ Revision: 1056313
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.7-9.mga6
+ Revision: 956317
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-8.mga5
+ Revision: 747921
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7-7.mga5
+ Revision: 683011
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7-6.mga4
+ Revision: 535760
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 malo <malo> 0.7-5.mga4
+ Revision: 482446
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.7-4.mga3
+ Revision: 361235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.7-3.mga3
+ Revision: 301645
- new rpm group for ocaml
- new rpm group for ocaml

* Thu Apr 12 2012 blue_prawn <blue_prawn> 0.7-1.mga2
+ Revision: 230541
- imported package ocaml-creal


* Thu Apr 12 2012 Florent Monnier <blue_prawn at mageia.org>
- fixed META file
- install missing dllcreal.so
- adapted the spec file for Mageia

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390037
- rebuild

* Sat May 23 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 379079
- added META file

* Sat Feb 21 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 343711
- incremented rel number

* Sat Feb 21 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 343710
- added META file

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 320733
- move non-devel files in main package
- site-lib hierarchy doesn't exist anymore

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org>
+ Revision: 254191
- rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 178366
- rebuild

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org>
+ Revision: 136633
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org>
+ Revision: 130814
- kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 78261
- cleanup

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 77577
- compliance with ocaml policy

* Thu Apr 12 2007 Root <root@mandriva.org>
+ Revision: 6049
- SILENT: import ocaml-creal-0.7-1mdv2007.1
